using System;
using Infragistics.Windows.DataPresenter.Events;

internal sealed class Delegate534 : MulticastDelegate
{
	public extern void Invoke(object sender, EventHandler<InitializeRecordEventArgs> e);

	public static void smethod_0(object object_0, EventHandler<InitializeRecordEventArgs> eventHandler_0, Delegate534 delegate534_1)
	{
		delegate534_1(object_0, eventHandler_0);
	}

	public extern Delegate534(object object_0, IntPtr intptr_0);

	static Delegate534()
	{
		Class10.smethod_13(typeof(Delegate534).TypeHandle);
	}

	internal static Delegate534 delegate534_0;
}
